Search Ads
curl --request GET \
--url https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/ad-library/search \
--header 'x-rapidapi-key: <api-key>'import requests
url = "https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/ad-library/search"
headers = {"x-rapidapi-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};
fetch('https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/ad-library/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"cost": 1,
"data": [
{
"id": "653297974",
"advertiser": "GaneshKrishnan",
"content_preview": "🚨 E‑commerce ad spend is in free‑fall — and the numbers are staggering.\n\nThe TERRIFYING drop in ecommerce spend and sal…",
"image": "https://media.licdn.com/dms/image/v2/D5622AQG5Db03qe1eSA/feedshare-shrink_1280/B56ZZKVavvGcAk-/0/1745003851303?e=2147483647&v=beta&t=8WvvFCn5WrwwpN_dBtyrmVm0kUn7AuBrSPkqGx45bvI"
}
],
"has_more": true,
"pagination_token": "663761563-1745013982626"
}{
"message": "Bad request"
}{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}{
"message": "You are not subscribed to this API."
}{
"success": false,
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500,
"cost": 0,
"explain": "Oops, it looks like there was an issue processing your request. Don't worry, you won't be charged for this request. If you need any help, don't hesitate to contact us via email [email protected] or telegram https://t.me/saleleads"
}Ads
Search Ads
Search Ads
GET
/
api
/
v1
/
ad-library
/
search
Search Ads
Authorizations
Rapid API Key
Query Parameters
Keyword to search for (either "keyword" or "advertiser_name" must be provided)
Example:
"Data"
Advertiser name to search for (either "keyword" or "advertiser_name" must be provided)
Example:
"Datadog"
Country code to filter ads by
Example:
"US"
Date to filter ads by
Available options:
last-30-days, current-month, current-year, last-year Token for pagination
⌘I